package yangtz.cs.liu.campus.service.device;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.device.SchoolDevice;
import yangtz.cs.liu.campus.domain.office.SchoolOfficePurchase;
import yangtz.cs.liu.campus.vo.device.DeviceByIdVo;
import yangtz.cs.liu.campus.vo.device.DeviceListVo;

/**
 * 设备管理Service接口
 * 
 * @author ruoyi
 * @date 2022-10-16
 */
public interface ISchoolDeviceService  extends IService<SchoolDevice>
{
    List<SchoolDevice> queryList(SchoolDevice schoolDevice);

    int deleteByIds(List<Long> ids);

//    DeviceByIdVo toIdVo(SchoolDevice schoolDevice);

    SchoolDevice queryById(Long id);

    List<SchoolDevice> queryByIds(List<Long> ids);

    List<DeviceListVo> toListVo(List<SchoolDevice> schoolDeviceList);
}
